summaryrefslogtreecommitdiffstats
path: root/source/n/traceroute
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/traceroute')
-rw-r--r--source/n/traceroute/slack-desc12
-rwxr-xr-xsource/n/traceroute/traceroute.SlackBuild18
2 files changed, 19 insertions, 11 deletions
diff --git a/source/n/traceroute/slack-desc b/source/n/traceroute/slack-desc
index 864112fec..e10a0a41c 100644
--- a/source/n/traceroute/slack-desc
+++ b/source/n/traceroute/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
traceroute: traceroute (IP packet route tracing utility)
traceroute:
traceroute: The traceroute utility displays the route used by IP packets on their
-traceroute: way to a specified network host. Traceroute will display the IP
+traceroute: way to a specified network host. Traceroute will display the IP
traceroute: number and host name (if possible) of all the machines along the route
-traceroute: taken by the packets. If you're having network connectivity problems,
+traceroute: taken by the packets. If you're having network connectivity problems,
traceroute: traceroute can show you where the trouble is located.
traceroute:
-traceroute:
+traceroute: Homepage: http://traceroute.sourceforge.net
traceroute:
traceroute:
diff --git a/source/n/traceroute/traceroute.SlackBuild b/source/n/traceroute/traceroute.SlackBuild
index bf90465ec..a29d29fae 100755
--- a/source/n/traceroute/traceroute.SlackBuild
+++ b/source/n/traceroute/traceroute.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=traceroute
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "x86_64" ]; then
@@ -44,7 +53,6 @@ else
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-traceroute
@@ -53,7 +61,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf traceroute-$VERSION
-tar xvf $CWD/traceroute-$VERSION.tar.gz || exit 1
+tar xvf $CWD/traceroute-$VERSION.tar.xz || exit 1
cd traceroute-$VERSION || exit 1
chown -R root:root .
find . \